Bug 1019048 - Can still see the apply button after applying to be a partner
Can still see the apply button after applying to be a partner
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 01:07 EDT by Tian Feng
Modified: 2015-05-14 22:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-11 14:50:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tian Feng 2013-10-15 01:07:47 EDT
Description of problem:
Go to /partner/apply and apply to be a partner. After applying successfully, go to /partner/apply page again. Can still see the apply entry. And then apply it again, and it still work.
Check the mailbox and find receive a serial of email with same message

Version-Release number of selected component (if applicable):
PROD

How reproducible:
Always

Steps to Reproduce:
1. go to /partner/apply and apply to be a partner
2. repeat to apply
3. check mailbox

Actual results:
After application, the entry can still be accessed. And with several applications, some same email will be sent to mailbox.

Expected results:
Once apply it successfully, the entry should be disappear. And the email for user should be only sent just once.

Additional info:
Comment 2 Jessica Forrester 2014-07-11 14:50:27 EDT
This is just the way the application process was designed, we have nothing stored as to whether a user has applied or not, nothing is stored in the system until they are set to be a "new partner".  This process is also most likely going away completely at some point so closing this.

Note You need to log in before you can comment on or make changes to this bug.